POST Agents/Project/SaveProjectEntity
Some tooltip text!
• 12 minutes to read
• 12 minutes to read
POST /api/v1/Agents/Project/SaveProjectEntity
Updates the existing ProjectEntity or creates a new ProjectEntity if the id parameter is 0.
NsApiSlow threshold: 2000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: projectEntity
The ProjectEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| ProjectId | Integer | Primary key |
| Name | String | Project name |
| ProjectNumber | String | Automatically generated number |
| ProjectMembers | Array | The persons which are members of the project |
| Urls | Array | The project's internet adresses |
| CreatedDate | String | Registered date in UTC. |
| UpdatedDate | String | Last updated date in UTC. |
| Description | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| Postit | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| CreatedBy | Associate | The person that created the project |
| UpdatedBy | Associate | The person that last updated the project |
| Associate | Associate | The person that created the project |
| ProjectStatus | ProjectStatus | Project status is a list defined by the database administrator. Different statuses of a project may be: “In planning”, “Started”, “Finished” and so on |
| ProjectType | ProjectType | Project type is a list defined by the database admin. for example: 'Large', 'Small', 'Party'... |
| HasImage | Boolean | True if the project has an image. (This is the image that is displayed in the CRM client) |
| ImageDescription | String | Description of the project image if it exists. (This is the image that is displayed in the CRM client) |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for project |
| Links | Array | List of all elements linked to the project |
| ActiveLinks | Integer | Number of active links to documents, other appointments, and such |
| Completed | Boolean | Done (0=false, 1=true). Status implies changes in which fields are shown in GUI, as well as which fields can be updated |
| NextMilestoneDate | String | Calculated date, reflects date of closest non-complete future milestone activity |
| NmdAppointmentId | Integer | ID of appointment that "caused" the nextMilestoneDate, can be 0 |
| EndDate | String | Planned end date for project, inhertied from type and later editable |
| ActiveErpLinks | Integer | The number of active erp links |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ProjectEntity.ExtraFields} and |
| PublishEventDate | String | Publish event date |
| PublishTo | String | Publication valid to (inclusive) |
| PublishFrom | String | Publication valid from (inclusive) |
| IsPublished | Boolean | Publication is published |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ProjectEntity
| Property Name | Type | Description |
|---|---|---|
| ProjectId | int32 | Primary key |
| Name | string | Project name |
| ProjectNumber | string | Automatically generated number |
| ProjectMembers | array | The persons which are members of the project |
| Urls | array | The project's internet adresses |
| CreatedDate | date-time | Registered date in UTC. |
| UpdatedDate | date-time | Last updated date in UTC. |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| Postit | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| CreatedBy | Associate | The person that created the project |
| UpdatedBy | Associate | The person that last updated the project |
| Associate | Associate | The person that created the project Use MDO List name "associate" to get list items. |
| ProjectStatus | ProjectStatus | Project status is a list defined by the database administrator. Different statuses of a project may be: “In planning”, “Started”, “Finished” and so on Use MDO List name "projectstatus" to get list items. |
| ProjectType | ProjectType | Project type is a list defined by the database admin. for example: 'Large', 'Small', 'Party'... Use MDO List name "projecttype" to get list items. |
| HasImage | bool | True if the project has an image. (This is the image that is displayed in the CRM client) |
| ImageDescription | string | Description of the project image if it exists. (This is the image that is displayed in the CRM client) |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for project |
| Links | array | List of all elements linked to the project |
| ActiveLinks | int32 | Number of active links to documents, other appointments, and such |
| Completed | bool | Done (0=false, 1=true). Status implies changes in which fields are shown in GUI, as well as which fields can be updated |
| NextMilestoneDate | date-time | Calculated date, reflects date of closest non-complete future milestone activity |
| NmdAppointmentId | int32 | ID of appointment that "caused" the nextMilestoneDate, can be 0 |
| EndDate | date-time | Planned end date for project, inhertied from type and later editable |
| ActiveErpLinks | int32 | The number of active erp links |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ProjectEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| PublishEventDate | date-time | Publish event date |
| PublishTo | date-time | Publication valid to (inclusive) |
| PublishFrom | date-time | Publication valid from (inclusive) |
| IsPublished | bool | Publication is published |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Project/SaveProjectEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ProjectId": 561,
"Name": "Yost Group",
"ProjectNumber": "1124921",
"ProjectMembers": [
{
"ProjectmemberId": 450,
"ContactId": 799,
"ProjectId": 746,
"ContactName": "Heaney LLC",
"ContactDepartment": "",
"ProjectName": "Hilpert, Osinski and Swaniawski",
"EmailId": 902,
"EmailAddress": "mallory_pollich@hansen.name",
"CountryId": 865,
"Firstname": "Kayla",
"MiddleName": "Rippin-Renner",
"Lastname": "Lehner",
"PersonId": 155,
"Mrmrs": "laborum",
"ProjectMemberTypeName": "Grant LLC",
"Phone": "263-218-8299",
"PhoneId": 716,
"ProjectMemberTypeId": 128,
"EmailAddressName": "cecile@monahanbartoletti.biz",
"Comment": "a",
"FullName": "Alessandro Reilly"
}
],
"Urls": [
{
"Value": "animi",
"StrippedValue": "omnis",
"Description": "Digitized value-added portal"
},
{
"Value": "animi",
"StrippedValue": "omnis",
"Description": "Digitized value-added portal"
}
],
"CreatedDate": "2015-01-09T10:11:00.7893987+01:00",
"UpdatedDate": "2016-05-03T10:11:00.7893987+02:00",
"Description": "Multi-channelled holistic focus group",
"Postit": "qui",
"CreatedBy": null,
"UpdatedBy": null,
"Associate": null,
"ProjectStatus": null,
"ProjectType": null,
"HasImage": false,
"ImageDescription": "Innovative radical monitoring",
"ActiveStatusMonitorId": 908,
"Links": [
{
"EntityName": "Jaskolski-Shields",
"Id": 853,
"Description": "Proactive transitional utilisation",
"ExtraInfo": "fugiat",
"LinkId": 924
},
{
"EntityName": "Jaskolski-Shields",
"Id": 853,
"Description": "Proactive transitional utilisation",
"ExtraInfo": "fugiat",
"LinkId": 924
}
],
"ActiveLinks": 970,
"Completed": false,
"NextMilestoneDate": "2004-03-05T10:11:00.7903982+01:00",
"NmdAppointmentId": 620,
"EndDate": "2004-08-23T10:11:00.7903982+02:00",
"ActiveErpLinks": 218,
"UserDefinedFields": {
"SuperOffice:1": "Sydnee Llewellyn McCullough Sr.",
"SuperOffice:2": "Ms. Madelynn Martine Wehner"
},
"ExtraFields": {
"ExtraFields1": "dignissimos",
"ExtraFields2": "ea"
},
"CustomFields": {
"CustomFields1": "excepturi",
"CustomFields2": "sit"
},
"PublishEventDate": "2006-03-26T10:11:00.7903982+02:00",
"PublishTo": "2022-07-24T10:11:00.7903982+02:00",
"PublishFrom": "2002-05-08T10:11:00.7903982+02:00",
"IsPublished": true
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ProjectId": 469,
"Name": "Koss, Collier and Gusikowski",
"ProjectNumber": "994140",
"ProjectMembers": [
{
"ProjectmemberId": 566,
"ContactId": 232,
"ProjectId": 838,
"ContactName": "Deckow LLC",
"ContactDepartment": "",
"ProjectName": "Cormier, Armstrong and Lemke",
"EmailId": 829,
"EmailAddress": "wilburn_cronin@bogisich.com",
"CountryId": 70,
"Firstname": "Anderson",
"MiddleName": "Jerde, Prohaska and Larkin",
"Lastname": "Daugherty",
"PersonId": 828,
"Mrmrs": "in",
"ProjectMemberTypeName": "Anderson Inc and Sons",
"Phone": "365-796-9069 x13949",
"PhoneId": 48,
"ProjectMemberTypeId": 79,
"EmailAddressName": "americo_hayes@markswintheiser.uk",
"Comment": "qui",
"FullName": "Kaylie Bradtke DVM",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 803
}
}
}
],
"Urls": [
{
"Value": "alias",
"StrippedValue": "voluptate",
"Description": "Object-based client-driven implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 670
}
}
},
{
"Value": "alias",
"StrippedValue": "voluptate",
"Description": "Object-based client-driven implementation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 670
}
}
}
],
"CreatedDate": "1998-06-06T10:11:00.7953974+02:00",
"UpdatedDate": "2024-01-13T10:11:00.7953974+01:00",
"Description": "Function-based secondary hub",
"Postit": "nobis",
"CreatedBy": null,
"UpdatedBy": null,
"Associate": null,
"ProjectStatus": null,
"ProjectType": null,
"HasImage": false,
"ImageDescription": "Multi-lateral empowering forecast",
"ActiveStatusMonitorId": 49,
"Links": [
{
"EntityName": "Padberg Inc and Sons",
"Id": 438,
"Description": "Centralized user-facing algorithm",
"ExtraInfo": "iure",
"LinkId": 98,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 33
}
}
}
],
"ActiveLinks": 600,
"Completed": false,
"NextMilestoneDate": "2013-03-08T10:11:00.7983992+01:00",
"NmdAppointmentId": 500,
"EndDate": "2021-08-08T10:11:00.7983992+02:00",
"ActiveErpLinks": 590,
"UserDefinedFields": {
"SuperOffice:1": "Mr. Alvah Kelly Denesik Sr.",
"SuperOffice:2": "True"
},
"ExtraFields": {
"ExtraFields1": "dolorum",
"ExtraFields2": "molestiae"
},
"CustomFields": {
"CustomFields1": "hic",
"CustomFields2": "dolorem"
},
"PublishEventDate": "2024-10-11T10:11:00.7983992+02:00",
"PublishTo": "2002-07-14T10:11:00.7983992+02:00",
"PublishFrom": "2013-04-15T10:11:00.7983992+02:00",
"IsPublished": true,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 57
}
}
}